Arch Equipment

From FreeCAD Documentation
This page is a translated version of the page Arch Equipment and the translation is 5% complete.
Outdated translations are marked like this.

Arch Equipment

Меню прокату
Arch → Equipment
Верстаки
Arch
Ярлик за умовчанням
E Q
Введено у версії
-
Дивись також
3 views from mesh

Description

The Equipment tool offers you a simple and convenient way to insert non-structural, standalone elements such as pieces of furniture, hidro-sanitary equipments or electrical appliances to your projects. Equipments are based on Part shapes, which allow them to benefit from the solidity and possibilities of BRep geometry, and generate nice views when rendered to plan and section views.

Furniture objects enclosed in an Arch Equipment object. The flat projections can be obtained by the Draft Shape2DView tool

As of version 0.17, equipment objects also have a ДаніHiRes property where a Mesh object can be attached. Equipment objects can then be made to display that mesh in the 3D view instead of their shape, which allows to use any high-resolution mesh objects such as detailed pieces of furniture commonly found on websites.

Furniture objects enclosed in an Arch Equipment object, with a high resolution mesh attached

When using the Arch OBJ exporter, all equipment objects that are in mesh display mode will be exported as their mesh instead of their shape.

Usage

  1. Select a Part shape, and optionally a Mesh object.
  2. Press the Arch Equipment button, or press E then Q keys.

Options

  • Equipments share the common properties and behaviours of all Arch Components

Properties

  • ДаніModel: A description of the model of this equipment.
  • ДаніUrl: An URL of the product page where more information about this equipment can be found.
  • ДаніMesh: A Mesh representation to use for this equipment. When set, the Mesh display mode becomes available.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Equipment tool can be used in macros and from the Python console by using the following function:

Equipment = makeEquipment(baseobj=None, placement=None, name="Equipment")
  • Creates an Equipment object from the given baseobj, which can be a Part or a Mesh.
  • If a placement is given, it is used.
  • It returns None if the operation fails.

Example:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 500
Box.Width = 2000
Box.Height = 600

Equip = Arch.makeEquipment(Box)
FreeCAD.ActiveDocument.recompute()